Bug 143734 - Create New User does not preserve existing Home Directory setting
Create New User does not preserve existing Home Directory setting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-25 23:36 EST by Jerry Amundson
Modified: 2008-08-14 11:32 EDT (History)
0 users

See Also:
Fixed In Version: system-config-users-1.2.79-1.fc9.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-14 11:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2004-12-25 23:36:51 EST
Description of problem: 
After an install of FC3 which preserved /home, Create New User does 
not preserve Home Directory setting. 
 
Version-Release number of selected component (if applicable): 
system-config-users-1.2.28-0.fc3.1 
 
How reproducible: 
Very 
 
Steps to Reproduce: 
1. Install FC3 
2. Run User Manager 
3. Create New User, but uncheck "Create home directory" 
   
Actual results: 
Home Directory changes to reflect the User Name being added, but the 
setting in /etc/passwd ends up empty. 
 
Expected results: 
/etc/passwd should contain the users Home Directory, as it was 
displayed originally. 
 
Additional info: 
Merry Christmas!
Comment 1 Nils Philippsen 2006-04-05 08:24:57 EDT
Sorry for taking so long to respond (ashes on my head and all that).

Hm, I'm not quite sure about your problem though I am sure that it would still
exist in FC5, as I haven't changed anything that could have an effect on that in
between.

Let me see whether I understand your issue:

- You had /home on a separate partition/volume
- You installed anew, preserving /home and e.g. /home/user with its contents
- You added e.g. the user "user", unchecking "Create home directory"
- The home directory changes (? -- how, /home/user already existed?!)
- /etc/passwd doesn't contain a home directory

Please explain ;-).
Comment 2 Jerry Amundson 2006-06-30 14:53:52 EDT
Add User, then Delete (but *uncheck* the Delete mail, homedir... box).
Now, Add User, but uncheck the box to Create home directory, the Directory 
field remains intact (implying that it's being set), but the /etc/passwd 
record is useless with no homedir:
luser:x:501:501:Local User::/bin/bash

Bottom line : Even if Create is unchecked, set it in /etc/passwd to the 
default.
Comment 3 petrosyan 2008-03-10 01:40:22 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 4 lexual 2008-03-18 07:25:23 EDT
Can confirm for F8
Comment 5 Nils Philippsen 2008-08-14 11:32:03 EDT
I've just checked this with system-config-users-1.2.79-1.fc9.noarch in F9, there the home directory is set appropriately.

Note You need to log in before you can comment on or make changes to this bug.